package _VisualDVM.GlobalData.Module;
import Common.Database.Tables.iDBTable;
import Common.Visual.DataSetControlForm;
import _VisualDVM.GlobalData.Module.UI.ModulesForm;

import javax.swing.*;
public class ModulesDBTable extends iDBTable<Module> {
    public ModulesDBTable() {
        super(Module.class);
    }
    @Override
    public String getSingleDescription() {
        return "языковой модуль";
    }
    @Override
    public String getPluralDescription() {
        return "языковые модули";
    }
    @Override
    protected DataSetControlForm createUI(JPanel mountPanel) {
        return new ModulesForm(this, mountPanel);
    }
}
